ranges::iter_distance_compare_fn Struct Reference
Iterator
Inheritance diagram for ranges::iter_distance_compare_fn:

## Public Member Functions

template<typename I , typename S >
CPP_TEMPLATE_AUX_0 | c (requires ` input_iterator< I > &&sentinel_for< S, I >) ccconstexpr int operator()(I first

## Public Attributes

CPP_TEMPLATE_AUX_0 S iter_difference_t< I > n | const
CPP_TEMPLATE_AUX_0 S | last

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 S iter_difference_t<I> n ranges::iter_distance_compare_fn::const

Initial value:
{
return iter_distance_compare_fn::impl_i(static_cast<I &&>(first),
static_cast<S &&>(last),
n,
sentinel_tag_of<S, I>())
ranges::I
CPP_TEMPLATE_AUX_0 I(requires ` forward_iterator< I > &&sentinel_for< S, I > &&indirect_relation< C, projected< I, P >>) III adjacent_find(I first
function template adjacent_find
meta::first
front< Pair > first
Retrieve the first element of the pair Pair.
Definition: meta.hpp:2251